(* $Id: base64.mli,v 1.2 1999/03/31 20:33:07 gerd Exp $
 * ----------------------------------------------------------------------
 *
 *)


val encode : string -> string
  (* Do a "base 64" encoding of the given argument following the RFC 2045.
   * Note that the result is a string that only contains the characters
   * a-z, A-Z, 0-9, +, /, =
   *)

val url_encode : string -> string
  (* Same as 'encode' but use slightly different characters that can be
   * part of URLs without additional encodings.
   * The encoded string has only the characters a-z, A-Z, 0-9, -, /, .
   *)

val decode : string -> string
  (* Decodes the given string. The string is not allowed to contain
   * spaces and newlines, only "base64" characters are allowed.
   * Can decode strings that have been url_encode'd, too.
   *)


(* ======================================================================
 * History:
 * 
 * $Log: base64.mli,v $
 * Revision 1.2  1999/03/31 20:33:07  gerd
 * 	Added comments.
 *
 * Revision 1.1  1999/03/26 00:45:29  gerd
 * 	Initial revision.
 *
 * 
 *)
